tmc_events.h File Reference

Go to the source code of this file.

## Macros

#define | TMC_EVENTS 2047+1
#define | TMC_EVENT_LIST_LINES 1590+1

## Variables

static const char * | tmc_events [TMC_EVENTS][4]
static const int | tmc_event_code_index [TMC_EVENTS][2]
const std::string | quantifier_types [13][2]

## Macro Definition Documentation

## TMC_EVENT_LIST_LINES

#define TMC_EVENT_LIST_LINES 1590+1

## TMC_EVENTS

#define TMC_EVENTS 2047+1

## Variable Documentation

## quantifier_types

const std::string quantifier_types[13][2]

Initial value:
={
{"0", "n (small number)"},
{"1", "N (number)"},
{"2", "less than V metres"},
{"3", "P percent"},
{"4", "of up to S km/h"},
{"5", "of up to M minutes"},
{"6", "T degrees Celsius"},
{"7", "H time"},
{"8", "W tonnes"},
{"9", "L metres"},
{"10", "of up to D millimetres"},
{"11", "M MHz"},
{"12", "k kHz"}}

## tmc_event_code_index

const int tmc_event_code_index[TMC_EVENTS][2]

static

## tmc_events

const char* tmc_events[TMC_EVENTS][4]

static